<?php
/* utf8-marker = äöüß */

/*
 * Repo_XH
 *
 * @author  Olaf Penschke    olape
 * @version 1.0 beta3 (30.04.2020)
 * @link    http://olaf.penschke.net/

 * @license http://www.gnu.org/licenses/gpl-3.0.en.html GNU GPLv3

================================================================================
*/

/*
 * Check if PLUGINLOADER is calling and die if not.
 */
if(!defined('PLUGINLOADER')) {
    die(
        'Plugin '. basename(dirname(__FILE__))
        . ' requires a newer version of the Pluginloader. No direct access.'
    );
}

//******************************************************************************

//include_once($pth['folder']['plugins'] . 'repoxh/xml2csv.php');
include_once($pth['folder']['plugins'] . 'repoxh/repoxhfuncs.php');

$img_tmp = './img_tmp';
//******************************************************************************
if(isset($_GET['repo_xh_one'])) {
    $get_repo_xh_one = $_GET['repo_xh_one'];
} else {
    $get_repo_xh_one = 'empty';
}

if(isset($_GET['repo_xh_cat'])) {
    $get_repo_xh_cat = $_GET['repo_xh_cat'];
} else {
    $get_repo_xh_cat = 'empty';
}
//******************************************************************************
function repo_xh($repo_type = '') {

    global $plugin_tx, $pth, $get_repo_xh_cat, $get_repo_xh_one;

    $repoxh_output = '';

    // Daten werden neu eingelesen
    if(file_exists(__DIR__ . '/target/' . $repo_type . '.lock')) {
        $repoxh_tmp_output = '<p>' . $plugin_tx['repoxh']['xml2csv_message']
                          . '<br>' . $plugin_tx['repoxh']['look_message']
                          . '</p>' . "\n";
    } elseif(($repo_type != '')
          && (($repo_type == 'plugin') || ($repo_type == 'template'))) {
        // ist Get einzelnes Plugin gesetzt
        if($get_repo_xh_one != 'empty') {
            $repoxh_tmp_output = repo_xh_one($get_repo_xh_one, $repo_type);
        }
        // ist Get einzelnes Plugin NICHT gesetzt
        if($get_repo_xh_one == 'empty') {
            $repoxh_tmp_output = repo_xh_table($get_repo_xh_cat, $repo_type);
        }
    } else {
        $repoxh_tmp_output = '<p class="repoxh_errror">'
                            . $plugin_tx['repoxh']['call_error'] . '</p>';
    }
    $repoxh_output = $repoxh_tmp_output;
return $repoxh_output;
}
//******************************************************************************

?>